UUIDD(8)

NOM
uuidd - Démon de génération d'UUID

SYNOPSIS
uuidd [options]

DESCRIPTION
Le démon uuidd est utilisé par la bibliothèque UUID pour générer des identifiants universels uniques (UUID), en particulier les UUID basés sur le temps de façon sécurisée et garantie unique, même en présence d'un grand nombre de processus légers s'exécutant sur différents processeurs essayant de saisir les UUID.

OPTIONS

-d  Exécuter uuidd en mode de débogage. Cela empêche uuidd de fonctionner comme un démon.

-h, --help
    Afficher un écran d'aide puis quitter.

-k, --kill
    Si un démon uuidd tourne déjà, le tuer.

-n, --uuids nombre
    Quand une requête de test pour un uuidd existant est envoyée, demander une réponse avec une liste de nombre UUID.

-p, --pid chemin
    Indiquer le nom de chemin où le fichier pid devra être écrit. Par défaut, le fichier pid est écrit dans /var/run/uuidd/uuidd.pid.

-q  Supprimer certains messages d'échec.

-r, --random
    Tester uuidd en essayant de se connecter à un démon uuidd en cours d'exécution et attendre en retour un UUID aléatoire.

-s, --socket chemin
    Indiquer le nom de chemin pour les sockets de domaine UNIX utilisé par uuidd. Par défaut, le chemin est /var/run/uuidd/request. C'est avant tout une option de débogage puisque le chemin est défini en dur dans la bibliothèque libuuid.

-T, --timeout délai
    Indiquer un temps d'expiration pour uuidd. S'il est indiqué, alors uuidd quittera après délai secondes d'inactivité.

-t, --time
    Tester uuidd en essayant de se connecter à un démon uuidd en cours d'exécution et attendre en retour un UUID temporel.

-V, --version
    Afficher les informations sur la version et quitter.

EXEMPLE
Démarrer un démon, afficher 42 clefs aléatoires puis arrêter le démon.

    uuidd -p /tmp/uuidd.pid -s /tmp/uuidd.socket
    uuidd -d -r -n 42 -s /tmp/uuidd.socket
    uuidd -d -k -s /tmp/uuidd.socket

AUTEUR
Le démon uuidd a été écrit par Theodore Ts'o <tytso@mit.edu>.

DISPONIBILITÉ
Le démon uuidd fait partie du paquet util-linux, elle est disponible sur <URL:ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

VOIR AUSSI
uuid(3), uuidgen(1)

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.